create table Angestellte   (PersNr      integer not null,
                            Name        varchar(30) not null)
create table ProfDaten     (PersNr      integer not null,
                            Rang        character(2),
                            Raum        integer)
create table AssiDaten     (PersNr      integer not null,
                            Fachgebiet  varchar(30),
                            Boss        integer)
GO
create view Profs as
   select a.persnr, a.name, d.rang, d.raum
   from   Angestellte a, ProfDaten d
   where  a.PersNr = d.PersNr
GO
create view Assis as
   select a.persnr, a.name, d.fachgebiet, d.boss
   from   Angestellte a, AssiDaten d
   where  a.PersNr = d.PersNr