<!--- erstellt von Ralf Kunze --->

<CFQUERY NAME       = "ProfAbfr"
         USERNAME   = "erika"
         PASSWORD   = "mustermann"
         DATASOURCE = "dbs2001" 
         DBTYPE     = "ODBC">

        <!--- Where 0=0, um in jedem Fall eine 
        korrekte Abfrage zu erhalten --->
 	SELECT * FROM professoren where 0 = 0

        <!--- Weitere Statements gegebenenfalls anhaengen --->
	<CFIF #ProfPersnr# is NOT "">
		AND PersNr = #ProfPersnr#
	</CFIF>

	<CFIF #ProfName# is not "">
		AND Name LIKE '#ProfName#'
	</CFIF>

	<CFIF #ProfRang# is not "">
		AND Rang = '#ProfRang#'
	</CFIF>

	<CFIF #ProfRaum# is not "">
		AND Raum = '#ProfRaum#'
	</CFIF>

</CFQUERY>

<HTML>

  <HEAD>
    <TITLE> Professorenupdate </TITLE>
  </HEAD>

  <BODY>

    <!--- Falls keine Ergebnisse erzielt wurden, Fehlermeldung geben
          und den Rest der Seite mit CFABORT unterdruecken --->
    <CFIF #ProfAbfr.Recordcount# IS "0">
          Ihre Anfrage lieferte leider keine passenden Records.<BR>
          <A HREF="profupdateformular.cfm">New Search</A>
          <CFABORT>
    </CFIF>
    Bitte geben sie die gew&uuml;nschte &Auml;nderung ein
    bzw. w&auml;hlen sie den entsprechenden Datensatz aus: 

    <!--- Ausgabe der Ergebnisse. Bei Record #i# starten
          und nur ein Record liefern --->
    <CFOUTPUT QUERY="ProfAbfr" STARTROW="#i#" MAXROWS="1">
    <FORM ACTION="update.cfm" METHOD="POST">

    <!--- Ausgabe der Werte in ein Formular zum aendern --->
    <TABLE>
      <TR><TD>Personalnummer: </TD>
          <TD><INPUT TYPE="text" SIZE=4 NAME="ProfPersnr" VALUE="#Persnr#">
              <INPUT TYPE="HIDDEN" NAME="ProfPersnr_integer"
                     VALUE="Personalnummer muss ganzzahlig sein"></TD></TR>
      <TR><TD>Nachname:</TD>
          <TD><INPUT SIZE=15 TYPE="text" NAME="ProfName"
                     VALUE="#Name#"></TD></TR>
      <TR><TD>Gehaltsklasse:</TD>
          <TD><SELECT NAME="ProfRang">
                <CFIF #Rang# IS "C2"><OPTION SELECTED><CFELSE><OPTION></CFIF>C2
                <CFIF #Rang# IS "C3"><OPTION SELECTED><CFELSE><OPTION></CFIF>C3
                <CFIF #Rang# IS "C4"><OPTION SELECTED><CFELSE><OPTION></CFIF>C4
	      </SELECT></TD></TR>
      <TR><TD> Raum:</TD>
          <TD><INPUT SIZE=4 TYPE="text" NAME="ProfRaum" VALUE="#Raum#">
              <INPUT TYPE="HIDDEN" NAME="ProfRaum_integer"
                     VALUE="Raumnummer muss ganzzahlige sein"></TD></TR>
      <TR><TD><INPUT TYPE="Submit" VALUE="Update"></TD>
          <TD><INPUT TYPE="RESET"></TD></TR>
    </TABLE>
    </FORM>
    </CFOUTPUT>

    <!--- Den Zaehler setzen und entsprechend des
      Wertes weiteren Link anbieten oder nicht --->
    <CFIF #i# IS "1">
      <IMG SRC="Grayleft.gif" ALT="Back">
    <CFELSE>
      <CFSET iback=#i#-1>
      <CFOUTPUT>
        <A HREF="profupdate.cfm?i=#iback#&ProfPersnr=#ProfPersnr#
                 &Profname=#Profname#&ProfRang=#ProfRang#&ProfRaum=#ProfRaum#">
        <IMG SRC="redleft.gif" BORDER="0" ALT="back"></A>
      </CFOUTPUT>
    </CFIF>
    <A HREF="profupdateformular.cfm">New Search</A>
    <CFIF #i# LESS THAN #ProfAbfr.RecordCount#>
      <CFSET inext=#i#+1>
      <CFOUTPUT>
        <A HREF="profupdate.cfm?i=#inext#&ProfPersnr=#ProfPersnr#
                &Profname=#Profname#&ProfRang=#ProfRang#&ProfRaum=#ProfRaum#">
        <IMG SRC="redright.gif" ALIGN="Next Entry" BORDER="0"></A>
      </CFOUTPUT>
    <CFELSE>
      <IMG SRC="grayright.gif" ALT="Next">
    </CFIF>

    <!--- Ausgabe welcher Datensatz gezeigt wird
          und wieviele insgesamt vorhanden sind --->
    <CFOUTPUT>Eintrag #i# von #ProfAbfr.RecordCount#</CFOUTPUT><BR>
  </BODY>
</HTML> 
