/* ShowJdbc.java (c) Stefan Rauch 1999 */

import java.sql.*;                            // Import der SQL-Klassen

public class ShowJdbc {

  public static void main(String args[]) {

    String url = "jdbc:odbc:dbs2001";         // Treiber-url Verbindung
    Connection con;                           // Verbindungs-Objekt
    Statement stmt;                           // Instanz der Verbindung
                                              // sendet query 
                                              // liefert ResultSet
    String user   = "Erika";
    String passwd = "Mustermann";
    String query  = "select * from Professoren";

    try {                                             //versuche
      Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");  //jdbc-
    }catch(java.lang.ClassNotFoundException e) {      //odbc-
      System.err.print("ClassNotFoundException: ");   //Brueckentreiber
      System.err.println(e.getMessage());
    }

    try {                                        
      con = DriverManager.getConnection(url, user, passwd); // Verbindung
      stmt = con.createStatement();              // Statement
      ResultSet rs = stmt.executeQuery(query);   // ResultSet

      System.out.println
      ("Ausgabe der Professoren mit jeweiligem Rang: \n");
      
      while(rs.next()) {                         // Zeilenweise durch 
        System.out.print("Der Professor ");      // Ergebnismenge laufen
        System.out.print(rs.getString("Name"));  // dabei Namen und Rang 
        System.out.print(" hat den Rang ");      // formatiert ausgeben
        System.out.println(rs.getString("Rang"));
      }
      stmt.close();                              // Statement schliessen
      con.close();                               // Verbindung schliessen

    }catch(SQLException ex) {
      System.err.println("SQLException: " + ex.getMessage());
    }
  }
}
