create table Person (
  PersNr     int identity(100000,1),   -- ganze Zahl, automatisch vergeben
  Name       varchar(15) not null,     -- max. 15 Zeichen langer Wert
  Geschlecht bit default 0,            -- boolscher Wert, vorbesetzt mit 0
  Note       numeric (5,2),            -- 5 Gesamt-, 2 Nachkommastellen
  Groesse    real,                     -- einfache Genauigket
  Gewicht    float,                    -- doppelte Genauigkeit
  Gehalt     money,                    -- Waehrungswert
  GebDatum   datetime,                 -- Uhrzeit- und Datumsangabe
  Bemerkung  text,                     -- laengerer Text
  Photo      image,                    -- Binaerdaten
  Termin     rowversion,               -- Zeitstempel fuer Zeilenzugriff
  Kennung    uniqueidentifier          -- global eindeutiger Wert
             default newid(),          -- vorbesetzt durch newid()
)
