create trigger befoerderung        -- definiere den Trigger befoerderung
on hoeren after insert, update     -- nach insert oder update bei hoeren
as 
update professoren set rang='C4'   -- befoerdere Professor nach C4
where persnr in                    -- falls seine Personalnummer in
  (select persnr                   -- der Menge der Personalnummern liegt
   from   professoren p,           -- die mehr als 10 Hoerer haben
          vorlesungen v, 
          hoeren h
   where  p.persnr = v.gelesenvon 
   and    v.vorlnr = h.vorlnr
   group by p.persnr
   having count(*) > 10)
