create trigger verhinderedegradierung  -- definiere einen Trigger
on Professoren instead of update       -- statt eines updates
as
  update professoren                   -- aendere nun Professoren doch
  set    rang = i.rang                 -- setze auf eingefuegten Rang
  from   deleted d, inserted i         -- unter Verwendung von d und i
  where  professoren.persnr = d.persnr -- bei passender Personalnummer
  and    d.persnr = i.persnr           -- bei passender Personalnummer
  and    (d.rang=null                  -- falls vorher kein Rang vorhanden
         or d.rang < i.rang)           -- oder alter Rang < neuer Rang
