DECLARE @hdoc int                     -- Handle fuer interne Darstellung
DECLARE @doc varchar(1000)            -- Variable fuer XML-String
SET @doc =                            -- initialisiere XML-String                     
'<dozenten>
    <dozent>
      <persnr>4711</persnr> 
      <name>Willi</name>
      <rang>C4</rang>
      <raum>801</raum>
    </dozent>
    <dozent>
      <persnr>4712</persnr> 
      <name>Erika</name>
      <rang>C3</rang>
      <raum>802</raum>
    </dozent>
 </dozenten>'

EXEC sp_xml_preparedocument           -- lege interne Dartstellung @hdoc
     @hdoc OUTPUT, @doc               -- fuer den XML-String @doc an

insert into professoren               -- fuege in Tabelle professoren ein
            (persnr,name,rang,raum)   -- Persnr, Name, Rang, Raum
SELECT * FROM OPENXML                 -- werte XML-Baum aus
       (@hdoc,'/dozenten/dozent',2)   -- Parameter 2: Elementbezogen 
with (persnr int, name varchar(20),   -- Datentypen fuer persnr und Name
      rang char(2), raum int)         -- Datentypen fuer Rang und Raum

EXEC sp_xml_removedocument @hDoc      -- entferne interne Darstellung

